AnnotatedSnpCallSet-class {SNPchip} | R Documentation

## Class "AnnotatedSnpCallSet"

### Description

Container for genotype call data accompanied by SNP annotation

### Objects from the Class

Objects can be created by calls of the form `new("AnnotatedSnpCallSet", phenoData, experimentData, annotation, calls, callsConfidence, snpLocation, chromosomeAnnotation, chromosome)`.

### Slots

`chromosomeAnnotation`:
  Object of class `data.frame`
`assayData`:
  Object of class `AssayData`
`phenoData`:
  Object of class `AnnotatedDataFrame`
`featureData`:
  Object of class `AnnotatedDataFrame` contains annotation for the SNP's, such as chromosome, physical position, and alleles.
`experimentData`:
  Object of class `MIAME`
`annotation`:
  For 100k chips, "mapping50kHind240", "mapping50kXba240" , or "mapping100k". For 500k chips, mmust be "mapping250kNsp" or "mapping250kSty"
`.__classVersion__`:
  Object of class `Versions`

### Extends

Class `SnpCallSet`, directly. Class `eSet`, by class `SnpCallSet`. Class `VersionedBiobase`, by class `SnpCallSet`. Class `Versioned`, by class `SnpCallSet`.

### Methods

### Note

### Author(s)

Robert Scharpf

### See Also

### Examples

[Package SNPchip version 1.0.0 Index]